import 'package:flutter/material.dart';
import 'package:shimmer/shimmer.dart';

class GoodsDetailsSlideBannerSkeleton extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return _shimmerWidget(width: double.infinity, height: 375);
  }

  Widget _shimmerWidget({double width, double height, double radius = 0}) {
    return Shimmer.fromColors(
      baseColor: Colors.grey[300],
      highlightColor: Colors.grey[100],
      child: Container(
        width: width,
        height: height,
        decoration: BoxDecoration(color: Colors.white, borderRadius: BorderRadius.circular(radius)),
      ),
    );
  }
}
